
Figure - Bug #117793
【IOVDEV-25910】【VC1】【0072】【台架】【EE环境】【副屏】副屏monkey测试异常结束，疑发生重启现
象
2023-05-06 17:48 - CD TEST-方永红

Status: CLOSED Start date: 2023-05-06

Priority: Normal Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 0%

Category: 依赖客户及其供应商解决 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 00.0094.c103

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: Monkey Test Root cause:

Description

【环境信息】EE环境

【问题出现时间】：20230506  8：23

【前提条件】：车机上电

【操作步骤】

1.5月5日晚上8点40左右，副屏运行monkey测试

【实际结果】

5月6日查看副屏停止了monkey测试，进入屏保。（

【期望结果】

monkey测试正常运行

【车架号】：

【备注】：

monkey执行事件间隔时间为500ms，执行事件数量（1234567个）可运行5天以上，非手动杀死进程，只会因副屏重启导致monkey停止测

试

log地址：https://ofs.human-horizons.com/#/download/index/UNtoROAOuG8%3D

【影响版本】：01.00.0094.c103

【硬件版本号】：/

【是否能恢复】：

Related issues:

Related to Figure - Bug # 117780: 【AF】【EVT3】【Monkey】Monke... CLOSED 2023-05-06

History

#1 - 2023-05-06 18:39 - CD TEST-方永红

【日志】

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_117793

#2 - 2023-05-08 14:29 - CD APP-王营

- Status changed from New to NEED_INFO
- Assignee changed from CD APP-王营 to CD TEST-方永红

■ Current conclusion

Tlog中发现大量ANR问题的trace文件，说明在Monkey测试中发生ANR异常

■ My analysis

目前我们Monkey测试产生的anr问题主要有以下两个影响点：

1、跑Monkey过程中由于息屏问题会导致ANR，此问题已经修复并入库。

2、Media相关焦点问题会引起ANR，此问题Media组同事正在解决（117780）

■ Next action

如果想执行Monkey测试请确认以下问题：

1、客户跑Monkey是否需要等我们Monkey问题解决完毕之后再跑？

2、如果避免media产生anr问题是否需要保证主副屏链路畅通同时在当前情况下去除音视频播放类的测试？

#3 - 2023-05-09 19:41 - CD TEST-方永红

- Assignee changed from CD TEST-方永红 to CDTS_Test 吴诗雨

#4 - 2023-05-12 20:51 - 物联网项目组-RD3_CDTS 周飞

- Category changed from CD-APP to CD-FW

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from CDTS_Test 吴诗雨 to CD FW 曹覃刚

#5 - 2023-05-13 19:50 - CD FW 曹覃刚

- Category changed from CD-FW to 依赖客户及其供应商解决

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD FW 曹覃刚 to CDTS_Test 吴诗雨

Hi 诗雨

■ 我的分析

------------------------------------------

①

FSEM_000039_0222_0505201528.tar.gz

从日志包的信息来看，上一次打包是在0505201528，可以判断最后一次启动是0505晚08:15左右，从这之后没有发生过重启，monkey是在08:40左右开始测

试的

②

000039_persist_00244_221111_002013.log:901:11-11 00:20:22.882  1529  4580 I ActivityTaskManager: START u0 {flg=0x10000000 pkg=com.thundercomm.screensaver

cmp=com.thundercomm.screensaver/android.service.dreams.DreamActivity (has extras)} from uid 10051

从最后一次启动的日志中查看，在凌晨00:20分时进入了屏保

注:这里log中的日期有问题, 只用关注时间（log文件的生成时间是对的上的）

③

从日志中过滤AndroidRuntime，Crash等错误

在0505 08:40过后, 没有发生错误

------------------------------------------
■ 下一步计划

结合上述三点分析，设备没有发生重启，也没有明显异常，但是monkey测试自己停止了

是不是可能客户的monkey测试环境有问题？ 例如跑monkey的电脑端与副屏之间的链接中断了？ monkey执行命令中断的情况下，monkey就会停止运行

另外，客户测试的版本0094已经很旧了，建议使用最新的版本测试，由于 #117780 的影响，也建议客户跑monkey时链接上中控和喇叭

请帮助同步此信息给客户 谢谢

#6 - 2023-05-17 16:09 - CDTS_Test 吴诗雨

- Category changed from 依赖客户及其供应商解决 to CD-FW

- Assignee changed from CDTS_Test 吴诗雨 to CD FW 曹覃刚

首先，monkey执行测试后就自动化运行，不需要再与电脑连接。问题刚出现时就咨询了黄（壮壮）工，monkey停止运行存在两种情况：一、副屏重启导

致monkey进程停止；二、手动杀死monkey进程。所以提出了此问题。如果副屏没有重启，那为什么会导致monkey停止？请继续分析，谢谢

#7 - 2023-05-17 18:02 - CD FW 曹覃刚

- Category changed from CD-FW to 依赖客户及其供应商解决

- Assignee changed from CD FW 曹覃刚 to CDTS_Test 吴诗雨

Hi 诗雨

这个问题, 下午与客户开会同步过，目前定位是客户跑测monkey的手法不对

等今晚PM与客户同步后，会更新客户那边的jira票

#8 - 2023-05-18 15:58 - CDTS-TEST 周婷

覃刚，请帮忙分析 ：如果副屏没有重启，那为什么会导致monkey停止？请继续分析

首先，monkey执行测试后就自动化运行，不需要再与电脑连接。问题刚出现时就咨询了黄（壮壮）工，monkey停止运行存在两种情况：一、副屏重启导

致monkey进程停止；二、手动杀死monkey进程。所以提出了此问题。如果副屏没有重启，那为什么会导致monkey停止？请继续分析，谢谢

#9 - 2023-05-23 18:07 - CDTS_Test 吴诗雨

- Status changed from NEED_INFO to RESOLVED

#10 - 2023-05-23 18:07 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

#11 - 2023-05-23 18:07 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED
